/*
  CL1602 Library - Autoscroll

 http://www.arduino.cc/en/Tutorial/LiquidCrystalAutoscroll
 http://www.microfan.jp/station/cl1602-station
 */

// include the library code:
#include <CL1602.h>

// initialize the library
CL1602 lcd;

void setup() {
  // set up the LCD's number of columns and rows:
  lcd.begin(16, 2);
}

void loop() {
  // set the cursor to (0,0):
  lcd.setCursor(0, 0);
  lcd.ledWrite(HIGH) ;
  // print from 0 to 9:
  for (int thisChar = 0; thisChar < 10; thisChar++) {
    lcd.print(thisChar);
    delay(500);
  }

  // set the cursor to (16,1):
  lcd.setCursor(16, 1);
  // set the display to automatically scroll:
  lcd.autoscroll();
  lcd.ledWrite(LOW) ;
  // print from 0 to 9:
  for (int thisChar = 0; thisChar < 10; thisChar++) {
    lcd.print(thisChar);
    delay(500);
  }
  // turn off automatic scrolling
  lcd.noAutoscroll();

  // clear screen for the next loop:
  lcd.clear();
}
