/*
  CL1602 Library - Custom Characters

 http://www.arduino.cc/en/Tutorial/LiquidCrystal
 Also useful:
 http://icontexto.com/charactercreator/

 http://www.microfan.jp/station/cl1602-station
 */

// include the library code:
#include <CL1602.h>

// initialize the library
CL1602 lcd;

// make some custom characters:
byte heart[8] = {
  0b00000,
  0b01010,
  0b11111,
  0b11111,
  0b11111,
  0b01110,
  0b00100,
  0b00000
};

byte smiley[8] = {
  0b00000,
  0b00000,
  0b01010,
  0b00000,
  0b00000,
  0b10001,
  0b01110,
  0b00000
};

byte frownie[8] = {
  0b00000,
  0b00000,
  0b01010,
  0b00000,
  0b00000,
  0b00000,
  0b01110,
  0b10001
};

byte armsDown[8] = {
  0b00100,
  0b01010,
  0b00100,
  0b00100,
  0b01110,
  0b10101,
  0b00100,
  0b01010
};

byte armsUp[8] = {
  0b00100,
  0b01010,
  0b00100,
  0b10101,
  0b01110,
  0b00100,
  0b00100,
  0b01010
};

void setup() {
  // initialize LCD and set up the number of columns and rows: 
  lcd.begin(16, 2);
  
  // create a new character
  lcd.createChar(0, heart);
  // create a new character
  lcd.createChar(1, smiley);
  // create a new character
  lcd.createChar(2, frownie);
  // create a new character
  lcd.createChar(3, armsDown);
  // create a new character
  lcd.createChar(4, armsUp);

  // Print a message to the lcd.
  lcd.print("I "); 
  lcd.write(byte(0)); // when calling lcd.write() '0' must be cast as a byte
  lcd.print(" Arduino! ");
  lcd.write((byte) 1);
}

int hpos = 0 ;

void loop() {
  int delayTime = 500 ;
  hpos = (hpos + 1) % 16 ;

  lcd.setCursor(0, 1);
  lcd.print("                ") ;
  lcd.setCursor(hpos, 1);
  // draw the little man:
  lcd.write(3 + (hpos % 2));
  lcd.ledWrite(hpos % 2) ;
  delay(delayTime);
}