/*
  CL1602 Library - setCursor

 http://www.arduino.cc/en/Tutorial/LiquidCrystalSetCursor
 http://www.microfan.jp/station/cl1602-station
 */

// include the library code:
#include <CL1602.h>

#define JAPANESE

// initialize the library
CL1602 lcd;

// these constants won't change.  But you can change the size of
// your LCD using them:
const int numRows = 2;
const int numCols = 16;

void setup() {
  // set up the LCD's number of columns and rows:
  lcd.begin(numCols, numRows);
}

void loop() {
  // loop from ASCII 'a' to ASCII 'z':
#ifdef JAPANESE
  for (int thisLetter = '\261'; thisLetter <= '\335'; thisLetter++) {
#else
  for (int thisLetter = 'a'; thisLetter <= 'z'; thisLetter++) {
#endif
    // loop over the columns:
    for (int  thisRow = 0; thisRow < numRows; thisRow++) {
      // loop over the rows:
      for (int thisCol = 0; thisCol < numCols; thisCol++) {
        // set the cursor position:
        lcd.setCursor(thisCol, thisRow);
        // print the letter:
        lcd.write(thisLetter);
        delay(200);
      }
    }
  }
}